/* BE - Property Widget */
:root {
	--bePropertyWidgetWidth: 20rem;
}
.be-property-widget { overflow: hidden; position: relative; border-radius: 0; box-shadow:	var(--dropShadow); display: flex; flex-direction: column; transition: all ease-in-out 0.4s; }
.be-property-widget:hover { box-shadow: var(--dropShadow), var(--dropShadow); }
.be-property-widget-img-area { position: relative; }
.be-property-widget-img-area-banners { border-radius: var(--borderRadius) 0 0 0; overflow: hidden; color: hsl(var(--white)); position: absolute; top: 0; left: 0; z-index: 2; }
.be-property-widget-img-area-banner { cursor: default; display: flex; align-items: center; padding: 0.15rem; border-radius: 0 var(--borderRadius) var(--borderRadius) 0; font-weight: var(--wBold); position: relative; overflow: hidden; }
.be-property-widget-img-area-banner .icon { margin: 0.4rem 0 0.4rem 1rem; position: relative; z-index: 2; }
.be-property-widget-img-area-banner-text { padding: 0 1.25rem 0 0.75rem; position: relative; z-index: 2; }
.be-property-widget-img-area-banner-number { padding: 1rem; background-color: hsla(var(--black), 25%); border-radius: var(--borderRadiusCircle); position: relative; z-index: 2; }
.be-property-widget-img-area-banner-number span { position: absolute; top: 50%; left: 50%; transform: translate(-50%,-50%); }
.be-property-widget-img-area-banner.true-red-bg { background-color: hsla(0, 100%, 40%) !important; }
.be-property-widget-img-area-banner-special,
.be-property-widget-img-area-banner-property-banner { cursor: pointer; }
.be-property-widget-img-area-favorite { width: 2.5rem; height: 2.5rem; position: absolute; top: 1rem; right: 1rem; z-index: 2; background-color: hsl(var(--siteColor1)); border: none; box-shadow: none; color: hsl(var(--white)); }
.be-property-widget-img-area-favorite:hover,
.be-property-widget-img-area-favorite:active,
.be-property-widget-img-area-favorite:focus { background-color: hsl(var(--siteColor1)); box-shadow: none; }
.be-property-widget-img-area-favorite .heart-solid,
.be-property-widget-img-area-favorite .heart-regular { margin: 0; position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width: 1.5rem; height: 1.5rem; color: hsl(var(--white)); filter: var(--dropShadowFilter); transition: all ease-in-out 0.2s; }
/* .be-property-widget-img-area-favorite .heart-solid { color: hsla(var(--black), 25%); } */
.be-property-widget-img-area-favorite .heart-regular { display: none; }
.be-property-widget-img-area-favorite.favorite .heart-solid { color: hsl(var(--trueRed)); }
.be-property-widget-img-area .be-property-widget-img-company-logo { display: block; width: 3.5rem; position: absolute; bottom: 0.5rem; left: 0.5rem; z-index: 3; text-decoration: none; }
.be-property-widget-img-area .be-property-widget-img-company-logo > img { width: 3.5rem; height: auto; object-fit: contain; }
.be-property-widget-img-area-slider { position: relative; z-index: 1; padding-bottom: 62.5%; background-color: var(--placeholderBG); }
.be-property-widget-img-area-slider .swiper-container { width: 100%; height: 100%; position: absolute; top: 0; left: 0; right: 0; bottom: 0; border-radius: 0; }
.be-property-widget-img-area-slider .swiper-container *:focus { outline: none; box-shadow: var(--focusShadow); }
.be-property-widget-img-area-slider .swiper-container .swiper-lazy-preloader { --swiper-preloader-color: hsl(var(--siteColor1)); }
.be-property-widget-img-area-slider .swiper-container .swiper-button-next,
.be-property-widget-img-area-slider .swiper-container .swiper-button-prev { color: hsl(var(--white)); margin-top: 0; position: absolute; top: 50%; transform: translateY(-50%); width: 2.5rem; height: 2.5rem; border-radius: var(--borderRadiusCircle); touch-action: none; /* touch-action prevents zooming for mobile on accidental double tap */ }
.be-property-widget-img-area-slider .swiper-container .swiper-button-next:focus,
.be-property-widget-img-area-slider .swiper-container .swiper-button-prev:focus,
.be-property-widget-img-area-slider .swiper-container .swiper-button-next:not(.swiper-button-disabled):hover,
.be-property-widget-img-area-slider .swiper-container .swiper-button-prev:not(.swiper-button-disabled):hover { background-color: hsla(var(--siteColor1), 50%); }
.be-property-widget-img-area-slider .swiper-container .swiper-button-prev { left: 0.5rem; }
.be-property-widget-img-area-slider .swiper-container .swiper-button-next { right: 0.5rem; }
.be-property-widget-img-area-slider .swiper-container .swiper-button-next:after,
.be-property-widget-img-area-slider .swiper-container .swiper-button-prev:after { display: none; }
.be-property-widget-img-area-slider .swiper-container .swiper-button-next .icon,
.be-property-widget-img-area-slider .swiper-container .swiper-button-prev .icon { width: 1.75rem; height: 1.75rem; filter: var(--dropshadowfilter); }
.be-property-widget-img-area-slider .swiper-container .swiper-pagination-bullet-active,
.be-property-widget-img-area-slider .swiper-container .swiper-pagination-bullet { background-color: hsl(var(--white)); border-radius: var(--borderRadiusCircle); }
.be-property-widget-img-area-slider .swiper-container .swiper-pagination-bullet { opacity: 0.5; width: 0.375rem; height: 0.375rem; transition: all ease-in-out 0.4s; box-shadow: 0.0625rem 0.0625rem 0.125rem hsla(var(--black), 25%); }
.be-property-widget-img-area-slider .swiper-container .swiper-pagination-bullet-active { opacity: 1; }
.be-property-widget-img-area-slider .swiper-container-horizontal > .swiper-pagination-bullets { display: flex; flex-wrap: wrap; justify-content: center; align-items: center; }
.be-property-widget-img-area-slider .swiper-container-horizontal > .swiper-pagination-bullets .swiper-pagination-bullet { margin: 0.125rem; }
.be-property-widget-img-area-slider .swiper-container-horizontal > .swiper-pagination-bullets,
.be-property-widget-img-area-slider .swiper-container .swiper-pagination-custom,
.be-property-widget-img-area-slider .swiper-container .swiper-pagination-fraction { bottom: 0.25rem; width: auto; transform: translateX(-50%); left: 50%; }
.be-property-widget-img-area-slider .swiper-container .swiper-button-next.swiper-button-disabled,
.be-property-widget-img-area-slider .swiper-container .swiper-button-prev.swiper-button-disabled { pointer-events: visible; }
/* .be-property-widget-img-area-slider .swiper-container .swiper-slide { width: 100% !important; } */
.be-property-widget-img-link { display: block; width: 100%; height: 100%; position: absolute; top: 0; left: 0; right: 0; bottom: 0; background-color: var(--placeholderBG); }
.be-property-widget-img { width: 100%; height: 100%; position: absolute; left: 0; top: 0; right: 0; bottom: 0; object-fit: cover; }
.be-property-widget-info { padding: 1rem 1.25rem; background-color: hsl(var(--white)); display: flex; flex-direction: column; flex-grow: 1; color: hsl(0, 0%, 27%); }
.be-property-widget-info:hover { color: inherit; text-decoration: none; }
.be-property-widget-info-subheading { display: flex; align-items: center; margin-bottom: 0.25rem; }
.be-property-widget-info-subheading-type { font-weight: var(--wLight); white-space: nowrap; }
.be-property-widget-info-subheading-type + .icon { margin-left: 0.5rem; color: hsl(var(--siteColor1)); }
.be-property-widget-info-subheading-group { cursor: pointer; }
.be-property-widget-info-subheading-rating { margin: 0 0.25rem; display: flex; }
.be-property-widget-info-subheading-rating .icon { color: hsl(var(--siteColor2)); position: relative; top: 0.125rem; }
.be-property-widget-info-subheading-rating-number { margin: 0 0.25rem; }
.be-property-widget-info-subheading-rating-amount { font-weight: var(--wLight); }
.be-property-widget-info-subheading-pets-allowed { color: hsl(var(--siteColor1)); padding: 0 0.25rem; }
.be-property-widget-info-heading { font-size: 1.25rem; line-height: 1.25;	margin: 0.25rem 0; }
.be-property-widget-info-heading-link,
.be-property-widget-info-heading-link:hover { color: var(--bodyFontColor); }
.be-property-widget-info-pricing { position: relative; }
.be-property-widget-info-pricing-price { font-weight: var(--wBold); }
.be-property-widget-info-pricing-price em { font-style: normal; font-weight: var(--wRegular); }
.be-property-widget-info-pricing-price sup { font-weight: var(--wRegular); }
.be-property-widget-info-pricing-text { font-weight: var(--wLight); }
.be-property-widget-info-labels { padding: 0.25rem 0 0.5rem; display: flex; /*justify-content: center;*/ flex-grow: 1;	flex-wrap: wrap; }
.be-property-widget-info-label { display: flex; line-height: 1; padding: 0 0.25rem; margin:0.5rem 0; width:100% }
.be-property-widget-info-label-sizes { width:100%; }
.be-property-widget-info-label .icon-circle { position: relative; height:1.75rem; min-width:1.75rem; background-color:hsl(var(--siteColor2)); border-radius:var(--borderRadiusCircle); margin-right:0.5rem;  }
.be-property-widget-info-label .icon { height: 0.85rem; width:0.85rem; color: hsl(var(--white)); position:absolute; top:50%; left:50%; transform:translate(-50%,-50%); }
.be-property-widget-info-label .be-property-widget-info-subheading-rating { margin: 0; }
.be-property-widget-info-label .be-property-widget-info-subheading-rating .icon { color: hsl(var(--siteColor2)); }
.be-property-widget-info-label-count { color: hsl(var(--siteColor1)); font-size:0.9rem; font-weight:var(--wHeavy); }
.be-property-widget-info-label-text { color: hsla(var(--bodyFontColor), 80%); display:block; font-size:0.9rem; margin-top:0.25rem; }
.be-property-monthly-rates { width:100%; margin-top:0.5rem; }
.be-property-widget-info-subheading-group-actions { display: flex; flex-wrap: wrap; justify-content: center; }
.be-property-widget-info-subheading-group-actions .btn { margin: 0 auto 0.25rem; }
.be-property-widget-info-subheading-group-actions .btn:last-child { margin-bottom: 0; }
@media (min-width: 1025px) {
  .be-property-widget-info-subheading-group-actions .btn { margin: 0; }
  .be-property-widget-info-label { width:50%; }
  .be-property-widget-info-label-sizes { width:100%; }
}

/* Property Widget Info Overlay 08.22.24 */
.be-property-widget-overlay {
	display: none;
}
.be-property-widget-overlay .be-property-widget-info { background-color: transparent; }
@media (width >= 1025px){
  .be-property-widget-overlay .be-property-widget-info-heading{ margin-top: 1.5rem; }
  .be-property-widget-img-area + .be-property-widget-info { flex-direction: row; flex-wrap: wrap; justify-content: space-between; }
  .be-property-widget-img-area + .be-property-widget-info-subheading { order: 1; }
  .be-property-widget-overlay {
    -webkit-backdrop-filter: blur(.25rem);
    backdrop-filter: blur(.25rem);
    background-color: hsla(var(--white),85%);
    display: block;
    height: 100%;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    transition: all .5s ease-in-out;
    visibility: hidden;
    width: 100%;
    z-index: 1;
  }
  .be-property-widget:hover .be-property-widget-overlay {
    opacity: 1;
    visibility: visible;
  }
}

.be-property-widget-img-area-gallery {
	background-color: hsl(var(--siteColor1));
	border: none;
	box-shadow: none; color: hsl(var(--white));
	height: 2.5rem;
	position: absolute;
	right: 1rem;
	top: 4.5rem;
	width: 2.5rem;
	z-index: 2;
  padding: 0.25rem 0.5rem;
}